Bug 230568 - www/lynx: Update to 2.8.9.1
Summary: www/lynx: Update to 2.8.9.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alex Kozlov
URL: https://lynx.invisible-island.net/lyn...
Keywords: patch
Depends on:
Blocks:
 
Reported: 2018-08-12 18:28 UTC by Dmitri Goutnik
Modified: 2018-08-25 21:42 UTC (History)
2 users (show)

See Also:
jharris: maintainer-feedback+


Attachments
patch file (7.05 KB, patch)
2018-08-12 18:28 UTC, Dmitri Goutnik
dmgk: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitri Goutnik freebsd_committer 2018-08-12 18:28:47 UTC
Created attachment 196134 [details]
patch file

* Update to 2.8.9.1 (2.8.9rel.1)
* Remove patches merged upstream

Changelog: https://lynx.invisible-island.net/lynx2.8.9/breakout/CHANGES

QA:
  poudriere testport: OK (112a, 111a, 104i)

Also tested builds with ssl=openssl{,-devel} and libressl{,-devel} on 112a
Comment 1 jharris 2018-08-23 23:07:40 UTC
Approved, thanks!
Comment 2 jharris 2018-08-25 19:24:45 UTC
Comment on attachment 196134 [details]
patch file

Set maintainer-approval flag(s)
Comment 3 commit-hook freebsd_committer 2018-08-25 21:38:30 UTC
A commit references this bug:

Author: ak
Date: Sat Aug 25 21:38:01 UTC 2018
New revision: 478088
URL: https://svnweb.freebsd.org/changeset/ports/478088

Log:
  - Update to 2.8.9.1
    Changes: https://lynx.invisible-island.net/lynx2.8.9/breakout/CHANGES

  PR:	230568
  Submitted by:	Dmitri Goutnik <dg@syrec.org>
  Approved by:	jharris@widomaker.com (maintainer)

Changes:
  head/www/lynx/Makefile
  head/www/lynx/distinfo
  head/www/lynx/files/patch-CVE-2014-3566
  head/www/lynx/files/patch-CVE-2016-9179
  head/www/lynx/files/patch-WWW_Library_Implementation_HTTP.c